import java.applet.*;
import java.awt.*;
 
public class ZeichenkettenApplet extends Applet
{
	public void paint(Graphics g)
	{
		byte maxByte=Byte.MAX_VALUE;
      byte minByte=Byte.MIN_VALUE;
      short maxShort=Short.MAX_VALUE;
      short minShort=Short.MIN_VALUE;
      int maxInt=Integer.MAX_VALUE;
      int minInt=Integer.MIN_VALUE;
      long maxLong=Long.MAX_VALUE;
      long minLong=Long.MIN_VALUE;
 		float maxFloat=Float.MAX_VALUE;     
      float minFloat=Float.MIN_VALUE;
      double maxDouble=Double.MAX_VALUE;
      double minDouble=Double.MIN_VALUE;
      
      g.drawString("maximaler Bytewert ist		: "+maxByte+"!", 10, 50);
      g.drawString("minimaler Bytewert ist		: "+minByte+"!", 10, 65);
      
      g.drawString("maximaler Shortwert ist		:	"+maxShort+"!", 10, 95);
      g.drawString("minimaler Shortwert ist		:		"+minShort+"!", 10, 110);
      
      g.drawString("maximaler Integerwert ist:		"+maxInt+"!", 10, 140);
      g.drawString("minimaler Integerwert ist:		"+minInt+"!", 10, 155);
      
      g.drawString("maximaler Longwert ist:		"+maxLong+"!", 10, 185);
      g.drawString("minimaler Longwert ist:		"+minLong+"!", 10, 200);
      
      g.drawString("maximaler Floatwert ist:		"+maxFloat+"!", 10, 230);
      g.drawString("minimaler Floatwert ist:		"+minFloat+"!", 10, 245);
      
      g.drawString("maximaler Doublewert ist:		"+maxDouble+"!", 10, 275);
      g.drawString("minimaler Doublewert ist:		"+minDouble+"!", 10, 290);
      
    }
}
